Subject: bug#21994: Possible calendar mode bug

From: jan <[email-masked]>
Date: Tue, 15 Dec 2015 14:34:50 +0000

Hi, see below

On 08/12/2015, Glenn Morris <[email-masked]> wrote:
> jan wrote:
>
>> It certainly used to. I *could* reproduce this problem in 22 (22.1 I
>> think) so it may have been 20 or even 19 that worked but I did used to
>> do this.
>
> cal-html was only added in Emacs 22, so I suspect your recollection is
> faulty.

Unquestionably so.
However, if it's of any interest, now I've got it working it's
printing out each month with whatever holiday it can find (despite me
having an empty diary file). It never used to do that; every line of
every month used to be blank. Don't know if that tells you anything.

>
>>>>> M-x diary <RET>
>>>>>
>>>>> *messages* says:
>>>>>
>>>>> Preparing diary...
>>>>> diary-list-entries: Wrong type argument: stringp, nil
>>>
>>> I can't reproduce any such issue with
>>>
>>> rm -rf /tmp/foo
>>> mkdir /tmp/foo
>>> HOME=/tmp/foo emacs-24.5
>>
>> My prior email which you may not have got gave this as running on
>> windows.
>
> I know. I am demonstrating that with no .emacs file and no diary file, I
> cannot reproduce your problem. So it's probably due to some customization.

I'm running a stock download as I haven't the skill to customise
anything. I'm barely able to set a variable in .emacs. I haven't
knowingly changed anything.

And suddenly things are working sensibly. When I do M-x diary I get

    diary-check-diary-file: Diary file `~/diary' does not exist

instead of the lispy error, and when I try to dump the months from the
calendar without a diary file it says

    diary-list-entries: Opening input file: no such file or directory,
c:/+++to_backup+++/to_backup/DVD 08-07-30/emacs_home/diary

- it does not give me any grief about permissions. And I have no clue
whatsoever what's changed to make it work. I diffed my current emacs
home dir with an older one - no significant difference. I've no idea.

Well, given a) it's fixed itself b) I know how to fix it if it happens
again c) no-one else has ever reported this, I suggest closing this
bug as user error.

thank you for taking the time to look into this

regards

jan

>
> Please give a minimal complete example starting from emacs -Q (I don't
> know how you do this on MS Windows) that shows the problem with M-x diary.
>
> It may also help to do M-x toggle-debug-on-error and include the
> resulting backtrace.
>